#398 cp.exe doesn't copy binary files correctly with UNC paths

closed-fixed
Earnie Boyd
MSYS (75)
2004-09-05
2003-08-05
Jeremy Bettis
No

uname -a reports MINGW32_NT-5.1 NICKEL 1.0.8
(0.46/3/2) 2002-12-09 07:58 i686 unknown

./cp --version
cp (fileutils) 4.1

I copied a file over the network with this command

cp /c/nice/long/path/Output/setup.exe '\\server\share\lo
ng\path\foo.exe'

And then the files differ
ls -l:
-rwxrwxrwx 1 35748580 Aug 04 17:19
setup.exe
-rwxrwxrwx 1 35878661 Aug 05 09:34
foo.exe

md5sum:
dc0f8e449b11276c5a34b0172ef7f379 *setup.exe
\91ab50a7072b8e9fe25773d525b30f63 *foo.exe

When I use the cp.exe from OpenSTEP for Windows it
works. Also the cp.exe from
http://www.weihenstephan.de/~syring/win32/UnxUtils.ht
ml works fine. (Though not if it is placed into c:\msys\1.0
\bin but whatever)

Discussion

  • Earnie Boyd
    Earnie Boyd
    2004-02-24

    Logged In: YES
    user_id=15438

    Jeremy, does this problem exist with the 1.0.10-rc-4 Candidate?

    Earnie

     
  • Earnie Boyd
    Earnie Boyd
    2004-02-24

    • priority: 5 --> 9
     
  • Jeremy Bettis
    Jeremy Bettis
    2004-02-24

    Logged In: YES
    user_id=53098

    Yes, it is still broken.

    $ cp --version
    cp (fileutils) 4.1

    $ uname -rv
    1.0.10(0.46/3/2) 2003-10-11 10:14

    $
    cp '\\barium\Software\Ottr\TestRelease'/OttrClient5.0.0.41.ex
    e .

    $ md5sum
    OttrClient5.0.0.41.exe '\\barium\Software\Ottr\TestRelease'/O
    ttrClient
    5.0.0.41.exe
    d709e7b7f3b4627757729d198d17d321 *OttrClient5.0.0.41.exe
    \1c65e5fe1ffeba45b7019ad6dbef8e56
    *\\\\barium\\Software\\Ottr\\TestRelease/OttrClient5.0.0.41.e
    xe

    $ ls -l
    total 20114
    -rwxr-xr-x 1 jeremy Administ 41192339 Feb 24 14:09
    OttrClient5.0.0.41.exe

    $ ls -
    l '\\barium\Software\Ottr\TestRelease'/OttrClient5.0.0.41.exe
    -rwxr-xr-x 1 jeremy Administ 41192824 Feb 18 20:48
    \\barium\Software\Ottr\TestRelease/OttrClient5.0.0.41.exe

     
  • Earnie Boyd
    Earnie Boyd
    2004-09-05

    • status: open --> closed-fixed
     
  • Earnie Boyd
    Earnie Boyd
    2004-09-05

    Logged In: YES
    user_id=15438

    The problem you report has caused modification in some fashion in the official CVS for the given package. The w32api and
    mingw-runtime official CVS reside in the winsup CVS directory tree for Cygwin. Those package CVS trees are periodically
    merged into the MinGW CVS tree. If you still find problems then please open a new report.

     
  • Jeremy Bettis
    Jeremy Bettis
    2004-09-07

    Logged In: YES
    user_id=53098

    I don't understand which version is supposed to demonstrate
    this fixed, but it is still broke in the latest snapshot: MSYS-
    1.0.11-2004.04.30-1.exe

     
  • Andres Rand
    Andres Rand
    2004-09-07

    Logged In: YES
    user_id=265126

    It is fixed on CVS and it will be in next snapshot "release".